Theme
Create Task recraft-ai/recraft-v3
POST
https://www.kkiai.com/replicate/v1/models/recraft-ai/recraft-v3/predictions
Official documentation: https://replicate.com/recraft-ai/recraft-v3
Request Parameters
Authorization
Add the Authorization parameter to the Header, with the value being the Token concatenated after Bearer
Example: Authorization: Bearer ********************
Header Parameters
| Parameter | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization | string | Optional | Bearer {{YOUR_API_KEY}} |
Body Parameters (application/json)
| Parameter | Type | Required | Description |
|---|---|---|---|
input | object | Optional | |
└ size | string | Optional | The width and height of the generated image. If aspect ratio is set, size is ignored. Default: "1024x1024" |
└ style | string | Optional | The style of the generated image. Default: "any" |
└ prompt | string | Required | Text prompt for image generation. |
└ aspect_ratio | string | Optional | The aspect ratio of the generated image. Default: "Not set" |
Request Example
json
{
"input": {
"size": "1365x1024",
"style": "any",
"prompt": "a wildlife photography photo of a red panda using a laptop in a snowy forest",
"aspect_ratio": "Not set"
}
}cURL Example
bash
curl --location --request POST 'https://www.kkiai.com/replicate/v1/models/recraft-ai/recraft-v3/predictions' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"input": {
"size": "1365x1024",
"style": "any",
"prompt": "a wildlife photography photo of a red panda using a laptop in a snowy forest",
"aspect_ratio": "Not set"
}
}'Response
🟢 200 Success
Response Body
| Parameter | Type | Required | Description |
|---|---|---|---|
id | string | Required | |
model | string | Required | |
version | string | Required | |
input | object | Required | |
└ aspect_ratio | string | Required | |
└ input_image | string | Required | |
└ output_format | string | Required | |
└ prompt | string | Required | |
└ prompt_upsampling | boolean | Required | |
└ safety_tolerance | integer | Required | |
logs | string | Required | |
output | null | Required | |
data_removed | boolean | Required | |
error | null | Required | |
status | string | Required | |
created_at | string | Required | |
urls | object | Required | |
└ cancel | string | Required | |
└ get | string | Required | |
└ stream | string | Required | |
└ web | string | Required |
Response Example
json
{
"id": "w5k77rccg1rma0crb40tssh86g",
"model": "recraft-ai/recraft-v3",
"version": "hidden",
"input": {
"aspect_ratio": "Not set",
"prompt": "a wildlife photography photo of a red panda using a laptop in a snowy forest",
"size": "1365x1024",
"style": "any"
},
"logs": "",
"output": null,
"data_removed": false,
"error": null,
"status": "starting",
"created_at": "2025-07-30T01:45:30.496Z",
"urls": {
"cancel": "https://api.replicate.com/v1/predictions/w5k77rccg1rma0crb40tssh86g/cancel",
"get": "https://api.replicate.com/v1/predictions/w5k77rccg1rma0crb40tssh86g",
"stream": "https://stream.replicate.com/v1/files/bcwr-otkjt5aiey7d63eore5rhoezsvrxwsc5q6ow2x5lpqh3l6x33hgq",
"web": "https://replicate.com/p/w5k77rccg1rma0crb40tssh86g"
}
}